qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acon...@apache.org
Subject svn commit: r882573 - /qpid/trunk/qpid/cpp/src/tests/run_cluster_tests
Date Fri, 20 Nov 2009 14:33:32 GMT
Author: aconway
Date: Fri Nov 20 14:33:31 2009
New Revision: 882573

URL: http://svn.apache.org/viewvc?rev=882573&view=rev
Log:
Fix distcheck failure: don't try to run python tests if python not available.

Modified:
    qpid/trunk/qpid/cpp/src/tests/run_cluster_tests

Modified: qpid/trunk/qpid/cpp/src/tests/run_cluster_tests
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/run_cluster_tests?rev=882573&r1=882572&r2=882573&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/run_cluster_tests (original)
+++ qpid/trunk/qpid/cpp/src/tests/run_cluster_tests Fri Nov 20 14:33:31 2009
@@ -20,11 +20,14 @@
 #
 
 srcdir=$(dirname $0)
-
 . $srcdir/test_env.sh checkout $srcdir/../../.. ../.. || exit 1
-PYTHONPATH=$srcdir:$PYTHONPATH
 . $srcdir/ais_check
 
+TEST_EXEC=$QPID_PYTHON_COMMANDS/qpid-python-test
+test -x  $TEST_EXEC || { echo Skipping test, $TEST_EXEC not found; exit 0; }
+
+PYTHONPATH=$srcdir:$PYTHONPATH
+
 # Delete old cluster test data
 OUTDIR=brokertest.tmp
 rm -rf $OUTDIR
@@ -35,6 +38,6 @@
 CLUSTER_TESTS=${CLUSTER_TESTS:-$*}
 
 set -x
-with_ais_group $QPID_PYTHON_COMMANDS/qpid-python-test -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE
$CLUSTER_TESTS || exit 1
+with_ais_group $TEST_EXEC -DOUTDIR=$OUTDIR -m cluster_tests $CLUSTER_TESTS_IGNORE $CLUSTER_TESTS
|| exit 1
 rm -rf $OUTDIR
 #exit 0



---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:commits-subscribe@qpid.apache.org


Mime
View raw message